### codeanticode.glgraphics

# Class GLTextureWindow

- `GLWindow`
- - `codeanticode.glgraphics.GLTextureWindow`

`public class GLTextureWindow`
`extends GLWindow`

An undecorated ligheweight AWT window to show just a single texture created in the main OpenGL context of the parent PApplet. The renderer in parent must be of type GLGraphics.

  ## Constructor Summary
  `GLTextureWindow(PApplet parent, int x, int y, int w, int h)` Creates an instance of GLTextureWindow with the specified size (w, h) and position (x, y), which will show texture tex in it.

  ## Method Summary
  `void` | `hide()` Hides the window.
  `void` | `init()` Initializes the window.
  `void` | `init(boolean override)` Initializes the window, setting the override property to the desired value.
  `boolean` | `isVisible()` Returns whether the window is visible or not.
  `boolean` | `ready()` Returns true or false depending on whether or not the internal renderer has been initialized.
  `void` | `render()` Draws the window, if the renderer has been initialized.
  `void` | `setTexture(GLTexture tex)`
  `void` | `show()` Shows the window.
  `void` | `tint(int color)` Sets the texture tint color.

## Constructor Details

### GLTextureWindow

    public GLTextureWindow(PApplet parent,
                           int x,
                           int y,
                           int w,
                           int h)

> Creates an instance of GLTextureWindow with the specified size (w, h) and position (x, y), which will show texture tex in it.
> Parameters:
>   `parent` - PApplet
>   `x` - int
>   `y` - int
>   `w` - int
>   `h` - int

## Method Details

### hide

    public void hide()

> Hides the window.

### init

    public void init()

> Initializes the window.

### init

    public void init(boolean override)

> Initializes the window, setting the override property to the desired value.
> Parameters:
>   `override` - boolean

### isVisible

    public boolean isVisible()

> Returns whether the window is visible or not.
> Returns:
>   boolean

### ready

    public boolean ready()

> Returns true or false depending on whether or not the internal renderer has been initialized.
> Returns:
>   boolean

### render

    public void render()

> Draws the window, if the renderer has been initialized.

### setTexture

    public void setTexture(GLTexture tex)

### show

    public void show()

> Shows the window.

### tint

    public void tint(int color)

> Sets the texture tint color.
> Parameters:

processing library glgraphics by Andres Colubri. (c) 2008